!
! $Header$
!
#ifdef CRAY
SUBROUTINE riencray
END SUBROUTINE riencray
#else
subroutine scopy(n,sx,incx,sy,incy)
  !
  IMPLICIT NONE
  !
  integer :: n,incx,incy,ix,iy,i
  real :: sx((n-1)*incx+1),sy((n-1)*incy+1)
  !
  iy=1
  ix=1
  do i=1,n
     sy(iy)=sx(ix)
     ix=ix+incx
     iy=iy+incy
  end do
  !
  return
end subroutine scopy

function ssum(n,sx,incx)
  !
  IMPLICIT NONE
  !
  integer :: n,incx,i,ix
  real :: ssum,sx((n-1)*incx+1)
  !
  ssum=0.
  ix=1
  do i=1,n
     ssum=ssum+sx(ix)
     ix=ix+incx
  end do
  !
  return
end function ssum
#endif
